#
# spec file for package rubygem-minitest-reporters
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-minitest-reporters
Version:        1.3.6
Release:        lp150.1.2
%define mod_name minitest-reporters
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/CapnKernul/minitest-reporters
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Create customizable Minitest output formats
License:        MIT
Group:          Development/Languages/Ruby

%description
Death to haphazard monkey-patching! Extend Minitest through simple hooks.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.3.6
  see installed CHANGELOG.md
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.3.5
  see installed CHANGELOG.md
* Wed Sep  5 2018 coolo@suse.com
- updated to version 1.3.4
  see installed CHANGELOG.md
* Mon Jun  4 2018 factory-auto@kulow.org
- updated to version 1.3.0
  see installed CHANGELOG.md
* Mon Jun  4 2018 factory-auto@kulow.org
- updated to version 1.3.0
  see installed CHANGELOG.md
* Thu Mar 22 2018 factory-auto@kulow.org
- updated to version 1.2.0
  see installed CHANGELOG.md
  [#]## [dev](https://github.com/kern/minitest-reporters/compare/v1.2.0...master)
  [#]## [1.2.0](https://github.com/kern/minitest-reporters/compare/v1.2.0.beta3...v1.2.0)
  [#]## [1.2.0.beta3](https://github.com/kern/minitest-reporters/compare/v1.2.0.beta2...v1.2.0.beta3)
  * junit reporter changed to support mintest >= 5.11 [#252](https://github.com/kern/minitest-reporters/pull/252) (contributed by [Kevinrob](https://github.com/Kevinrob))
  * all reporters changed to be compatible with minitest >= 5.11 (if not - report a bug ;)
  [#]## [1.2.0.beta2](https://github.com/kern/minitest-reporters/compare/v1.2.0.beta1...v1.2.0.beta2)
  * fixed uninitialized time in junit reporter [#251](https://github.com/kern/minitest-reporters/issues/251)
  * format option added to progress reporter [#240](https://github.com/kern/minitest-reporters/pull/240) (contributed by [jorgesmu](https://github.com/jorgesmu))
  * improved output of junit reporter [#245](https://github.com/kern/minitest-reporters/pull/245) (contributed by [jules2689](https://github.com/jules2689))
  [#]## [1.2.0.beta1](https://github.com/kern/minitest-reporters/compare/v1.1.19...v1.2.0.beta1)
  * SpecReporter regression for Minitest 5.11.1 fixed [#250](https://github.com/kern/minitest-reporters/pull/250) (contrinuted by [mbround18](https://github.com/mbround18))
* Wed Nov 22 2017 mschnitzer@suse.com
- updated to version 1.1.19
  * Reverted #236 (it creates too many problems)
    https://github.com/kern/minitest-reporters/pull/236
* Fri Sep  8 2017 enavarro@suse.com
- updated to version 1.1.18
  * Fixed problem with Rails 5.1.3 #230 by #236 (contributed by samcday)
* Tue Aug 29 2017 mschnitzer@suse.com
- updated to version 1.1.17
  * Fixed tests counting – #232 (contributed by adaedra)
* Thu Aug 24 2017 bgeuken@suse.com
- Updated to version 1.1.16
  Changelog:
  * reverted fix for #231 to fix#233
* Fri Aug 18 2017 mschnitzer@suse.com
- updated to version 1.1.15
  * Fixed problem with handling SIGINFO #231 (contributed by joshpencheon)
* Mon Jan 23 2017 coolo@suse.com
- updated to version 1.1.14
  no changelog found
* Fri Dec  2 2016 coolo@suse.com
- updated to version 1.1.13
  no changelog found
* Wed Oct 26 2016 coolo@suse.com
- updated to version 1.1.12
  no changelog found
* Sun Jul 31 2016 coolo@suse.com
- updated to version 1.1.11
  no changelog found
* Thu Jul  7 2016 coolo@suse.com
- updated to version 1.1.10
  no changelog found
* Mon May  2 2016 coolo@suse.com
- updated to version 1.1.9
  no changelog found
* Tue Feb 23 2016 coolo@suse.com
- updated to version 1.1.8
  no changelog found
* Sun Nov 29 2015 coolo@suse.com
- updated to version 1.1.7
  no changelog found
* Tue Nov 24 2015 coolo@suse.com
- updated to version 1.1.6
  no changelog found
* Wed Oct 14 2015 hvogel@suse.com
- Initial package, version 1.1.3
